%define version	2.0.1
%define release	1mdk

%define pkgname libgnomemm
%define api_version 2.0
%define major 1
%define libname %mklibname gnomemm %api_version

%define req_gtkmm_version 2.0.0
%define req_libgnome_version 1.108.0

Summary: 	A C++ wrapper for libgnome
Name: 		%{pkgname}%{api_version}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Source: 	ftp://ftp.gnome.org/pub/sources/%{pkgname}/2.0/%{pkgname}-%{version}.tar.bz2
BuildRequires:	gtkmm2.0-devel >= %{req_gtkmm_version}
BuildRequires:	libgnome2-devel >= %{req_libgnome_version}
Buildrequires:	doxygen

%description
The %{name} library provides a C++ wrapper for libgnome library,
for use with gtkmm2 (previously known as gtk--). It is a subpackage
of the gnomemm project.


%package -n %{libname}_%{major}
Summary:	A C++ wrapper for libgnome
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}_%{major}
The %{name} library provides a C++ wrapper for libgnome library,
for use with gtkmm2 (previously known as gtk--). It is a subpackage
of the gnomemm project.


%package -n %{libname}_%{major}-devel
Summary:	Development files for libgnome C++ wrapper
Group: 		Development/GNOME and GTK+
Provides:	%{libname}-devel = %{version}-%{release}
Requires:	%{libname}_%{major} = %{version}-%{release}
Requires:	gtkmm2.0-devel >= %{req_gtkmm_version}
Requires:	libgnome2-devel >= %{req_libgnome_version}
# for ease of upgrade
Conflicts:	%{pkgname}1.3-devel

%description -n %{libname}_%{major}-devel
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use %{name},
the C++ interface to libgnome.

It is necessary when compiling applications which use %{name} as well.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# mdk doesn't have libtool 1.5
%define __libtoolize /bin/true
%configure2_5x --enable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%post -n %{libname}_%{major} -p /sbin/ldconfig
%postun -n %{libname}_%{major} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname}_%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*

%files -n %{libname}_%{major}-devel
%defattr(-, root, root)
%doc docs/reference/html COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api_version}

###########################################################################
%changelog
* Sat Oct 18 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-1mdk
- 2.0.1
- Remove patch0 (upstream)

* Thu Oct 16 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- 2.0.0
- Patch0: Fix library name in .pc files (was using libgnomemm-1.3)

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 1.3.10-1mdk
- 1.3.10

* Tue Jul  9 2002 Abel Cheung <maddog@linux.org.hk> 1.3.5-1mdk
- 1.3.5 (GNOME 2)
- First Mandrake spec, based on original spec inside source

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
